Page MenuHomePhabricator

Implement Feature Flag for Mediawiki
Closed, ResolvedPublic3 Story Points

Description

A configuration parameter will be implemented in order to switch on or off the wd bridge.

Acceptance Criteria:

  • a flag will turn the feature on and off; name dataBridgeEnabled
  • the flag on ON will result on the feature being shown/visible

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2019, 12:50 PM
darthmon_wmde set the point value for this task to 3.
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.
Pablo-WMDE updated the task description. (Show Details)Jun 18 2019, 11:59 AM
Restricted Application added a project: User-Michael. · View Herald TranscriptJun 18 2019, 1:42 PM

Change 517657 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Add feature flag to enable wikidata bridge

https://gerrit.wikimedia.org/r/517657

Change 517657 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add feature flag to enable Wikidata bridge

https://gerrit.wikimedia.org/r/517657

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 21 2019, 2:11 PM